Remove times.dbm file for each tox run

Bug #1565928 reported by Peter Stachowski on 2016-04-04
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Barbican
Fix Released
Low
Unassigned
DragonFlow
Undecided
Rajat Sharma
Karbor
Undecided
Spencer Yu
OpenStack DBaaS (Trove)
Undecided
Peter Stachowski
Sahara
Invalid
Undecided
Unassigned
cloudkitty
Undecided
Rajat Sharma
python-barbicanclient
Fix Released
Undecided
Rajat Sharma
python-karborclient
Undecided
Spencer Yu
python-troveclient
Low
Peter Stachowski

Bug Description

If you run the py27 tox tests then attempt to run the py34 tests, the
following error will occur:

    running testr
    running=OS_STDOUT_CAPTURE=${OS_STDOUT_CAPTURE:-1} \
    OS_STDERR_CAPTURE=${OS_STDERR_CAPTURE:-1} \
    OS_TEST_TIMEOUT=${OS_TEST_TIMEOUT:-60} \
    ${PYTHON:-python} -m subunit.run discover -t ./ ./ --list
    db type could not be determined
    error: testr failed (3)

This happens because the apparently the times.dbm file generated
by py27 is not compatible with py34. The converse is not true though -
if you run py34 first, py27 will work.

Both these bugs have been filed against it, but I see no resolution
https://bugs.launchpad.net/testrepository/+bug/1212909
https://bugs.launchpad.net/testrepository/+bug/1229445

The work-around is to delete the file, which is what I propose
to do before running every tox test. I know this isn't optimal, but
neither is hitting this bug repeatedly. :)

Changed in python-troveclient:
assignee: nobody → Peter Stachowski (peterstac)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/301270

Changed in python-troveclient:
status: New → In Progress

Reviewed: https://review.openstack.org/301270
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=ff70d109032c2f04cc3a0c12db4d6efa4311ed2a
Submitter: Jenkins
Branch: master

commit ff70d109032c2f04cc3a0c12db4d6efa4311ed2a
Author: Peter Stachowski <email address hidden>
Date: Mon Apr 4 18:09:37 2016 +0000

    Remove times.dbm file for each tox run

    If you run the py27 tox tests then attempt to run the py34 tests,
    the following error will occur:

        running testr
        running=OS_STDOUT_CAPTURE=${OS_STDOUT_CAPTURE:-1} \
        OS_STDERR_CAPTURE=${OS_STDERR_CAPTURE:-1} \
        OS_TEST_TIMEOUT=${OS_TEST_TIMEOUT:-60} \
        ${PYTHON:-python} -m subunit.run discover -t ./ ./ --list
        db type could not be determined
        error: testr failed (3)

    This happens because the apparently the times.dbm file generated
    by py27 is not compatible with py34. The converse is not true though -
    if you run py34 first, py27 will work.

    Both these bugs have been filed against it, but I see no resolution
    https://bugs.launchpad.net/testrepository/+bug/1212909
    https://bugs.launchpad.net/testrepository/+bug/1229445

    The work-around is to delete the file, which is what is now done
    before running every tox test. Once the bug has been fixed, the
    work-around can be removed.

    Change-Id: Icf5d9efc65ffda8acdcc6f43b37ef03c84b3fd43
    Closes-Bug: #1565928

Changed in python-troveclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-troveclient 2.3.0 release.

Fix proposed to branch: master
Review: https://review.openstack.org/343827

Changed in trove:
assignee: nobody → Peter Stachowski (peterstac)
status: New → In Progress

Reviewed: https://review.openstack.org/343827
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=dda9aa730bae0974e52f0f2cea3da352b02199fc
Submitter: Jenkins
Branch: master

commit dda9aa730bae0974e52f0f2cea3da352b02199fc
Author: Peter Stachowski <email address hidden>
Date: Mon Jul 18 17:27:36 2016 +0000

    Remove times.dbm file for each tox run

    If you run the py27 tox tests then attempt to run the py34 tests,
    the following error will occur:

        py34 runtests: commands[0] | ostestr
        --blacklist_file=blacklist-py3.txt
        db type could not be determined
        running=${PYTHON:-python} -m subunit.run discover
        ./trove/tests/unittests --list
        The test run didn't actually run any tests

    This happens because the apparently the times.dbm file generated
    by py27 is not compatible with py34. The converse is not true though -
    if you run py34 first, py27 will work.

    The work-around is to delete the file, which is what is now done
    before running every tox test. Once the bug has been fixed, the
    work-around can be removed.

    This was originally noticed in python-troveclient, however it
    also manifests in the Trove project.

    coverage.xml was also added to the .gitignore file as it
    was appearing in the git list of modified files.

    Change-Id: I312b3879c764b7b803d35e0bb62f0f47291f6693
    Closes-Bug: #1565928

Changed in trove:
status: In Progress → Fix Released

This issue was fixed in the openstack/trove 6.0.0.0b3 development milestone.

This issue was fixed in the openstack/trove 6.0.0.0b3 development milestone.

Changed in barbican:
status: New → In Progress
importance: Undecided → Low
milestone: none → pike-2
Dave McCowan (dave-mccowan) wrote :

This problem has been around for a while.
Some history: https://bugs.launchpad.net/testrepository/+bug/1229445

Changed in cloudkitty:
assignee: nobody → Rajat Sharma (tajar29)
status: New → In Progress

Reviewed: https://review.openstack.org/460828
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=2e655d90c2958c03bb4136eee07eaa437ba53617
Submitter: Jenkins
Branch: master

commit 2e655d90c2958c03bb4136eee07eaa437ba53617
Author: rajat29 <email address hidden>
Date: Fri Apr 28 10:41:25 2017 +0530

    Add 'rm -f .testrepository/times.dbm' command in testenv

    Running py2* post py3* tests results in error. Add
    'rm -f .testrepository/times.dbm' command in testenv to
    resolve this.
    Closes-Bug: #1565928

    Change-Id: I876d2169fa6e3e1239056e891ad49c530d3a0c69

Changed in barbican:
status: In Progress → Fix Released

This issue was fixed in the openstack/barbican 5.0.0.0b2 development milestone.

Reviewed: https://review.openstack.org/459960
Committed: https://git.openstack.org/cgit/openstack/cloudkitty/commit/?id=3f7b399cdf94a59f7d9b99bfe2ac70cf14fa3484
Submitter: Jenkins
Branch: master

commit 3f7b399cdf94a59f7d9b99bfe2ac70cf14fa3484
Author: rajat29 <email address hidden>
Date: Wed Apr 26 11:56:48 2017 +0530

    Add 'rm -f .testrepository/times.dbm' command in testenv

    Running py2* post py3* tests results in error. Add
    'rm -f .testrepository/times.dbm' command in testenv to
    resolve this.
    Closes-Bug: #1565928

    Change-Id: I9f29c187ff0e2b6ef46c0b8e28e2aff3f36949b8

Changed in cloudkitty:
status: In Progress → Fix Released
Rajat Sharma (tajar29) on 2017-07-27
Changed in python-barbicanclient:
assignee: nobody → Rajat Sharma (tajar29)
Rajat Sharma (tajar29) on 2017-07-27
Changed in dragonflow:
assignee: nobody → Rajat Sharma (tajar29)

Fix proposed to branch: master
Review: https://review.openstack.org/487797

Changed in python-barbicanclient:
status: New → In Progress
Changed in dragonflow:
status: New → In Progress

Reviewed: https://review.openstack.org/487799
Committed: https://git.openstack.org/cgit/openstack/dragonflow/commit/?id=d6727e4148a889ac6d7b3cf7f115f60efc15cbf4
Submitter: Jenkins
Branch: master

commit d6727e4148a889ac6d7b3cf7f115f60efc15cbf4
Author: rajat29 <email address hidden>
Date: Thu Jul 27 15:27:24 2017 +0530

    Add 'rm -f .testrepository/times.dbm' command in testenv

    Running py2* post py3* tests results in error.
    Add 'rm -f .testrepository/times.dbm' command in testenv to
    resolve this.
    Closes-Bug: #1565928

    Change-Id: I9166e375fe3c3e223fb91f4e09d7ed903689cbc2

Changed in dragonflow:
status: In Progress → Fix Released
Spencer Yu (yushb) on 2017-08-13
Changed in karbor:
assignee: nobody → Spencer Yu (yushb)
Changed in python-karborclient:
assignee: nobody → Spencer Yu (yushb)

Fix proposed to branch: master
Review: https://review.openstack.org/493356

Changed in karbor:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/493357

Changed in python-karborclient:
status: New → In Progress

This issue was fixed in the openstack/cloudkitty 6.0.0 release.

Reviewed: https://review.openstack.org/493356
Committed: https://git.openstack.org/cgit/openstack/karbor/commit/?id=cdd4be738cccadc4d0c81ec5ebe483b9330aab04
Submitter: Jenkins
Branch: master

commit cdd4be738cccadc4d0c81ec5ebe483b9330aab04
Author: yushangbin <email address hidden>
Date: Sun Aug 13 21:54:10 2017 +0800

    Add 'rm -f .testrepository/times.dbm' command in testenv

    Running py2* post py3* tests results in error. Add
    'rm -f .testrepository/times.dbm' command in testenv to
    resolve this.

    Closes-Bug: #1565928
    Change-Id: I83ee9e86844c1654ad438ab3e25f76ea5529db24

Changed in karbor:
status: In Progress → Fix Released
guoshan (guoshan) on 2017-11-14
Changed in senlin:
assignee: nobody → guoshan (guoshan)
no longer affects: senlin
guoshan (guoshan) on 2017-11-14
Changed in sahara:
assignee: nobody → guoshan (guoshan)

Fix proposed to branch: master
Review: https://review.openstack.org/519595

Changed in sahara:
status: New → In Progress
Luigi Toscano (ltoscano) wrote :

Can this be really fixed instead of workarounding it?
Also, according the comment in https://review.openstack.org/#/c/467828/, switching to stestr (which we are doing in this Queens cycle) will solve it.
I'm thus marking this "invalid" for Sahara.

Luigi Toscano (ltoscano) wrote :

This is a workaround, see the comment in https://review.openstack.org/#/c/467828/

Changed in sahara:
assignee: guoshan (guoshan) → nobody
status: In Progress → Invalid

Change abandoned by Shan Guo (<email address hidden>) on branch: master
Review: https://review.openstack.org/519595

This issue was fixed in the openstack/karbor 0.6.0 release.

This issue was fixed in the openstack/karbor 1.0.0 release.

Reviewed: https://review.openstack.org/493357
Committed: https://git.openstack.org/cgit/openstack/python-karborclient/commit/?id=e11f2e80068696ce8460a2b0a388a1e412df3f6d
Submitter: Zuul
Branch: master

commit e11f2e80068696ce8460a2b0a388a1e412df3f6d
Author: yushangbin <email address hidden>
Date: Sun Aug 13 22:00:32 2017 +0800

    Add 'rm -f .testrepository/times.dbm' command in testenv

    Running py2* post py3* tests results in error. Add
    'rm -f .testrepository/times.dbm' command in testenv to
    resolve this.

    Closes-Bug: #1565928
    Change-Id: I111d82a1509af03aa2e141ee3fd9b2ff9e223215

Changed in python-karborclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/487797
Committed: https://git.openstack.org/cgit/openstack/python-barbicanclient/commit/?id=ca187faaeec0a88aab41ba58f9d7bcb6918b1cc0
Submitter: Zuul
Branch: master

commit ca187faaeec0a88aab41ba58f9d7bcb6918b1cc0
Author: rajat29 <email address hidden>
Date: Thu Jul 27 15:24:14 2017 +0530

    Add 'rm -f .testrepository/times.dbm' command in testenv

    Running py2* post py3* tests results in error.
    Add 'rm -f .testrepository/times.dbm' command in testenv to
    resolve this.
    Closes-Bug: #1565928

    Change-Id: I31fa34e48f24014885668c249eaf8bb62b70fadc

Changed in python-barbicanclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-barbicanclient 4.7.0 release.

This issue was fixed in the openstack/python-karborclient 1.1.0 release.

This issue was fixed in the openstack/karbor 1.1.0 release.

Change abandoned by Douglas Mendizábal (<email address hidden>) on branch: master
Review: https://review.opendev.org/476790
Reason: Abandoning due to bitrot. Please restore this patch if it's still needed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers